<?php

 session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
  $defecto_foto1=$_REQUEST['defecto_foto2'];
  $pi_folio=$_REQUEST['pi_folio'];
  $caja_id=$_REQUEST['caja_id'];
  

  $id_foto=$caja_id."_2";
  

  $link="image/".$cliente."/";
   include '../../conexion/conn.php';
//comprobamos que sea una petición ajax
$sincro='N';
   if(isset($_REQUEST['editar'])){
    $rsnum = mysql_query("SELECT * FROM cal_cajas_fotos WHERE caja_id='$caja_id' AND num_foto_caja='2'");

                if($rownum = mysql_fetch_array($rsnum)){
                  $sincro=$rownum['sincro'];
                }else{
                    $sincro='N';
                }

                if($sincro=="N"){
                    $sincro="N";
                }else if($sincro=="S"){
                    $sincro="E";
                }else{
                    $sincro="E";
                }
    $sql6 = "DELETE FROM cal_cajas_fotos WHERE caja_id='$caja_id' AND num_foto_caja='2'";
    $result6 = @mysql_query($sql6);
    $sql7 = "DELETE FROM cal_fotos WHERE caja_id='$caja_id' AND foto_num_caja='2'";
    $result7 = @mysql_query($sql7);

   }
if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') 
{

    $rsnum = mysql_query("SELECT * FROM cal_planilla_inspeccion WHERE pi_folio='$pi_folio'");

                if($rownum = mysql_fetch_array($rsnum)){
                  $pi_inspector=$rownum['pi_inspector'];
                  $cod_inspector = str_replace('.','',$pi_inspector);
                $cod_inspector = str_replace('-','',$cod_inspector);
                  $pi_fecha_inspeccion=$rownum['pi_fecha_inspeccion'];
                }

    $nombre_foto=$cod_inspector."_".$caja_id."_2";
 
    //obtenemos el archivo a subir
    $file = $_FILES['foto2']['name'];
 
    //comprobamos si existe un directorio para subir el archivo
    //si no es así, lo creamos
    if(!is_dir("../image/".$cliente."/")) 
        mkdir("../image/".$cliente."/", 0777);
     
    //comprobamos si el archivo ha subido
    if ($file && move_uploaded_file($_FILES['foto2']['tmp_name'],"../image/".$cliente."/".$nombre_foto.".jpg"))
    {
        //achicar foto

        $imagen='../image/'.$cliente.'/'.$nombre_foto.'.jpg'; 
        # ruta de la imagen final, si se pone el mismo nombre que la imagen, esta se sobreescribe 
        $imagen_final='../image/'.$cliente.'/'.$nombre_foto.'.jpg'; 
        $ancho_nuevo=640; 
        $alto_nuevo=480; 
        redim ($imagen,$imagen_final,$ancho_nuevo,$alto_nuevo); 

        
        $fileName = $nombre_foto.".jpg";
        
        $imagen_content=base64_encode(file_get_contents('../image/'.$cliente.'/'.$fileName));
        //$imagen_content=$content;
        //$imagen_content=base64_encode($imagen_content);
        $sql =  ("INSERT INTO cal_cajas_fotos (id_foto, caja_id, pi_folio, num_foto_caja, nombre_foto, defecto1_foto, link, cliente_id, sincro) VALUES ('$id_foto', '$caja_id', '$pi_folio', '2', '$nombre_foto', UPPER('$defecto_foto1'), '$link', '$cliente', '$sincro')");
        $result = @mysql_query($sql);

        $sql2 =  ("INSERT INTO cal_fotos (pi_folio, caja_id, foto_num_caja, foto_fecha, name, content, usuario, calidad_baja, cliente_id, sincro) VALUES ('$pi_folio', '$caja_id', '2', '$pi_fecha_inspeccion', '$fileName', '$imagen_content', '$pi_inspector', 'SI', '$cliente', 'N')");
        $result2 = @mysql_query($sql2);
       sleep(3);//retrasamos la petición 3 segundos
       echo $fileName;//devolvemos el nombre del archivo para pintar la imagen
    }
}else{
    throw new Exception("Error Processing Request", 1);   
}


function redim($ruta1,$ruta2,$ancho,$alto) 
    { 
    # se obtene la dimension y tipo de imagen 
    $datos=getimagesize ($ruta1); 
     
    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2]; 
     
    if ($tipo==1){ # GIF 
        if (function_exists("imagecreatefromgif")) 
            $img = imagecreatefromgif($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==2){ # JPG 
        if (function_exists("imagecreatefromjpeg")) 
            $img = imagecreatefromjpeg($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==3){ # PNG 
        if (function_exists("imagecreatefrompng")) 
            $img = imagecreatefrompng($ruta1); 
        else 
            return false; 
    } 
     
    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig>$alto_orig) 
        { 
        $ancho_dest=$ancho; 
        $alto_dest=($ancho_dest/$ancho_orig)*$alto_orig; 
        } 
    else 
        { 
        $alto_dest=$alto; 
        $ancho_dest=($alto_dest/$alto_orig)*$ancho_orig; 
        } 

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2=@imagecreatetruecolor($ancho_dest,$alto_dest) or $img2=imagecreate($ancho_dest,$alto_dest); 

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig) or imagecopyresized($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig); 

    // Crear fichero nuevo, según extensión. 
    if ($tipo==1) // GIF 
        if (function_exists("imagegif")) 
            imagegif($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==2) // JPG 
        if (function_exists("imagejpeg")) 
            imagejpeg($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==3)  // PNG 
        if (function_exists("imagepng")) 
            imagepng($img2, $ruta2); 
        else 
            return false; 
     
    return true; 
    } 